Memcached::prepend
Memcached::quit
Memcached
PHP Manual

# Memcached::prependByKey

(PECL memcached >= 0.1.0)

Memcached::prependByKey — Prepend data to an existing item on a specific server

### Beschreibung

public bool Memcached::prependByKey ( string `$server_key` , string `$key` , string `$value` )

Memcached::prependByKey() is functionally equivalent to Memcached::prepend(), except that the free-form `server_key` can be used to map the `key` to a specific server.

### Parameter-Liste

`server_key`

  Ein Schlüssel, der den Server bestimmt, auf dem die Daten abgelegt werden sollen.

`key`

  The key of the item to prepend the data to.

`value`

  The string to prepend.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben. The Memcached::getResultCode() will return `Memcached::RES_NOTSTORED` if the key does not exist.

### Siehe auch

- Memcached::prepend() - Prepend data to an existing item
- Memcached::append() - Append data to an existing item

Memcached::prepend
Memcached::quit
Memcached
PHP Manual